Support » Plugins » [Plugin: Flickr Gallery] Compatibility Issue with 2.8?

  • Was wondering if anyone else was having problems with Flickr Gallery and WordPress 2.8? My flickr gallery will not allow clicks on the top tabs (Photostream, Photosets, Most Interesting)… Also Lightbox will not come up instead it just links directly to Flick website when clicking on the photos. You can see it at http://connect.marcheitzford.com/?page_id=3

    I am trying to view in Safari 3.1.2

    Any help would be appreciated.
    Thanks.

Viewing 15 replies - 1 through 15 (of 22 total)
  • Are you still having this problem? It’s working fine for me on your site. Also, you are not using WordPress 2.8. You still have WordPress 2.7.1 installed.

    I upgraded wp to 2.8 and got the exact same problems. I use only the default code [flickr-gallery], the problems show up in both firefox and ie. Here is the link of my gallery:
    http://thdp.org/gallery/

    I solve the problem today by installing a plugin Shadowbox JS, which is a more advanced media viewer. I think there are some code conflicts in the lightbox.

    Was wondering if anyone else was having problems with Flickr Gallery and WordPress 2.8? My flickr gallery will not allow clicks on the top tabs (Photostream, Photosets, Most Interesting)… Also Lightbox will not come up instead it just links directly to Flick website when clicking on the photos. You can see it at

    I’m now also having this problem too, you can see it here:
    http://www.mypetninja.com/?page_id=28#sets

    fewpeople,

    On your page, the wp-e-commerce plugin is breaking it by loading a version of jQuery outside of the proper way to load jQuery on a WordPress page. You should either disable that plugin or contact the author of the plugin and ask him to update it to use wp_enqueue_script().

    For anyone else coming across an issue. It is almost always either another plugin or your theme that is loading a Javascript file outside of the wp_enqueue_script function that breaks it. The plugin works fine in 2.8. Try disabling other plugins one at a time until you find the one that is breaking it.

    Hi Dan,

    Thanks for the reply, I tried disabling all the plugins (including wp-ecommerce) and I still get this problem where lightbox doesn’t show and even the tabs dont’ work. Any other ideas?

    Looking at your site again, it appears that jQuery is getting loaded three times:

    1. Plugins that use wp_enqueue_script()
    2. wp-e-commerce
    3. Your theme

    Any time that jQuery is loaded once it is already there will not only increase page load time, but it will wipe out any jQuery plugins loaded into the previous instance. My plugin’s lightbox is one such jQuery plugin.

    Exactly the same problem here. It was working fine until a couple of days ago. I can only think of the WP upgrade as an explanation. Now clicking takes you to the Flick website. The only other plugin Ive been working with recently is the Flshviewer for NextGen gallery, but the problem persists after disable them:

    Example

    BTW, your plugin is terific. I really apreciate your efforts to keep it uptodate.

    You have something that appears to insert links to “tags” in your articles. It is linking to arroyero.es. It overwrites “flickr” in one of the Javascript commands to a link to the flickr tag on that site. This breaks the Javascript.

    Oh, right, that domain is your site. Anyway, it’s linking to your blog’s tags and messing up the Javascript.

    I am having the same issue kingit.ca I have tried disabling all of my plugins, as well as changing my theme and I still get the direct link to flickr, and no lightbox. Any ideas why this is occurring, or how we can check what is causing the Javascript error on our site?

    Dan et al,

    It was so simple that I could not imagine why, but all I have to do is, following your tip, to remove the “flickr” tag from the post, and everything┬┤s back to normal. Still, a rather odd behaviour, and only surfaced after the 2.8 upgrade…

    Thanks for your support!

    @hudson3709: if you provide me with a link, I might be able to figure it out.

    I have the same problem.
    Something has change since the latest upgrade of wordpress.

    My gallery is here.
    http://www.planetahuevo.es/mis-fotos/
    I have disabled all the plugins and still the problem.

    It has affect also other plugins with highslide so must be something with jquery, but i am not sure hwo to fix.

    Thank you for your help.

Viewing 15 replies - 1 through 15 (of 22 total)
  • The topic ‘[Plugin: Flickr Gallery] Compatibility Issue with 2.8?’ is closed to new replies.